> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpoints-for-spatial-data-access.md).

# Гео-эндпоинты для доступа к пространственным данным

{% hint style="success" %}
GeoPard использует <https://www.ogc.org/> форматы данных Open Geospatial Consortium, например WMS для изображений и WFS для векторных данных. Кроме того, мы поддерживаем импорт и экспорт шейп-файлов. Движок позволяет импортировать и экспортировать данные во всех этих форматах. Для спутниковых снимков мы используем [COG (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Для выполнения запросов WMS/WFS необходимо установить Postman.
{% endhint %}

{% hint style="info" %}
Каждый запрос должен быть подписан с помощью заголовка "Authorization" (в него нужно поместить токен) или параметра URL "geopardApiKey " (в него нужно поместить API-ключ пользователя).
{% endhint %}

Конечные точки API WMS хранятся в атрибутах "geoMaps" сущностей "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" и "YieldDataset". См. [схему данных GeoPard.](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-data-schema.md)

Конечные точки API WFS хранятся в атрибутах "boundaryUrl", "zonesMapUrl" и "attributesUrl" сущностей "Field" и "VectorAnalysisMap".

{% hint style="info" %}
Для получения более точных изображений рекомендуем использовать проекцию EPSG:900913 вместо EPSG:3857.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
